class Chopper {  //width:32, height:20
  float moveX;
  float moveY;
  int direction=1;
  float explosionTime;
  boolean displayCh = true;
  boolean moveCh= true;
  float timerCh=0;
  boolean explodeCh = false;

  Chopper(float tempX, float tempY, String tempDirection) {
    moveX = tempX;
    moveY = tempY;
    if (tempDirection == "left") {
      direction = 1;
    } else if (tempDirection == "right") {
      direction = -1;
    }
  }

  void display() {
    if (timerCh > 2) {
      timerCh = 0;
    }
    if (displayCh && GameOver== false) {
      pushMatrix();
      translate(moveX, moveY+frame);
      scale(direction, 1);
      beginShape();
      pushMatrix();
      if (timerCh%2==0) { // rotate blade
        translate(44, 0);
        scale(-1, 1);
      } else {
        scale(1, 1);
      }
      stroke(#ffc545);// yellow (wings)
      strokeWeight(2);
      line(12, 0, 24, 0);
      line(20, 2, 32, 2);
      line(20, 4, 24, 4);
      popMatrix();
      stroke(#0a4108);// green
      line(16, 6, 28, 6);
      line(12, 8, 32, 8);
      line(0, 8, 4, 8);
      line(0, 14, 4, 14);
      line(16, 14, 28, 14);
      line(20, 16, 24, 16);
      line(16, 18, 28, 18);
      stroke(#0c048b);// blue
      line(0, 10, 32, 10);
      line(0, 12, 32, 12);  
      endShape();
      popMatrix();
    }
    timerCh = timerCh + 0.5;
  }

  void explode() {
    if (explodeCh) {
      pushMatrix();
      translate(moveX, moveY+frame);
      scale(direction, 1);
      beginShape();
      noStroke();
      fill(255);
      rect(12, 0, 5, 3);
      rect(3, 2, 6, 3);
      rect(20, 4, 5, 3);
      rect(8, 6, 5, 3);
      rect(16, 8, 5, 3);
      rect(0, 10, 5, 3);
      rect(12, 12, 5, 3);
      rect(4, 14, 5, 3);
      endShape();
      popMatrix();
      displayCh = false;
      moveCh = false;
    }
  }

  void explodeTimer() {
    explosionTime++;
  }

  void move() {
    if (moveCh == true) {
      if (direction==1) {
        moveToRight();
      } else {
        moveToLeft();
      }
    }
  }
  void moveToRight() {
    if (moveX<=width-wallSize-32) {
      moveX = moveX + 1.4;
    } else {
      direction = -1;
      moveX=width-wallSize ;
    }
  }
  void moveToLeft() {
    if (moveX>=wallSize + 32) {
      moveX = moveX - 1.4;
    } else {
      direction = 1;
      moveX = wallSize + 0;
    }
  }
}
