class Jet { // width: 64  height: 16
  float moveX;
  float moveY;
  int direction=1; // 
  float explosionTime;
  boolean displayJt = true;
  boolean moveJt = true;
  boolean explodeJt = false; 

  Jet(float tempX, float tempY, String tempDirection) {
    moveX = tempX;
    moveY = tempY;
    if (tempDirection == "left") {
      direction = 1;
    } else if (tempDirection == "right") {
      direction = -1;
    }
  }

  // displaying the ship. the ship is not an images!
  void display() {
    if (displayJt && GameOver== false) {
      pushMatrix();
      translate(moveX, moveY+frame);
      scale(direction, 1);
      beginShape();
      noStroke();
      fill(0);
      fill(#797fff);
      rect(66, 0, 10, 4);
      rect(10, 4, 18, 5);
      rect(57, 4, 19, 5);
      fill(#72b4f1);
      rect(0, 9, 76, 5);
      rect(0, 14, 38, 5);
      rect(57, 14, 9, 5);
      rect(28, 19, 29, 5);
      rect(38, 24, 19, 5);
      endShape();
      popMatrix();
    }
  }

  void explode() {
    if (explodeJt) {
      pushMatrix();
      translate(moveX, moveY+frame);
      scale(direction, 1);
      beginShape();
      noStroke();
      fill(255);
      rect(12, 0, 5, 3);
      rect(3, 2, 6, 3);
      rect(20, 4, 5, 3);
      rect(8, 6, 5, 3);
      rect(16, 8, 5, 3);
      rect(0, 10, 5, 3);
      rect(12, 12, 5, 3);
      rect(4, 14, 5, 3);
      endShape();
      popMatrix();
      displayJt = false;
      moveJt = false;
    }
  }
  void explodeTimer() {   // creating a timer to show the explosion longer before disapears.
    explosionTime++;
  }

  void move() {
    if (moveJt == true) {
      if (direction==1) {
        moveToRight();
      } else {
        moveToLeft();
      }
    }
  }

  void moveToRight() {
    if (moveX<=width-wallSize-64) {
      moveX = moveX + 0.7;
    } else {
      direction = -1;
      moveX=width-wallSize;
    }
  }
  void moveToLeft() {
    if (moveX>=wallSize + 64) {
      moveX = moveX - 0.7;
    } else {
      direction = 1;
      moveX = wallSize + 0;
    }
  }
}
