class Ship { // width: 64  height: 16
  float moveX;
  float moveY;
  int direction=1; // 
  float explosionTime;
  boolean displaySh = true;
  boolean moveSh = true;
  boolean explodeSh = false; 

  Ship(float tempX, float tempY, String tempDirection) {
    moveX = tempX;
    moveY = tempY;
    if (tempDirection == "left") {
      direction = 1;
    } else if (tempDirection == "right") {
      direction = -1;
    }
  }
  
  // displaying the ship. the ship is not an images!
  void display() {
    if (displaySh && GameOver== false) {
      pushMatrix();
      translate(moveX, moveY+frame);
      scale(direction, 1);
      beginShape();
      noStroke();
      fill(0);
      rect(24, 0, 8, 4);
      rect(16, 4, 16, 2);
      rect(8, 6, 32, 2);
      fill(#b21d17);// red
      rect(0, 8, 64, 2);
      rect(0, 10, 56, 2);
      fill(#61d070);// green
      rect(0, 12, 48, 2);
      rect(8, 14, 40, 2);
      endShape();
      popMatrix();
    }
  }

  void explode() {
    if (explodeSh) {
      pushMatrix();
      translate(moveX, moveY+frame);
      scale(direction, 1);
      beginShape();
      noStroke();
      fill(#87c2c8);
      rect(22, 0, 7, 3);
      rect(8, 2, 7, 3);
      rect(36, 4, 7, 3);
      rect(14, 5, 7, 3);
      rect(29, 7, 7, 3);
      rect(0, 9, 7, 3);
      rect(22, 11, 7, 3);
      rect(7, 13, 7, 3);
      endShape();
      popMatrix();
      displaySh = false;
      moveSh = false;
    }
  }
  void explodeTimer() {   // creating a timer to show the explosion longer before disapears.
    explosionTime++;
  }

  void move() {
    if (moveSh == true) {
      if (direction==1) {
        moveToRight();
      } else {
        moveToLeft();
      }
    }
  }

  void moveToRight() {
    if (moveX<=width-wallSize-64) {
      moveX = moveX + 0.7;
    } else {
      direction = -1;
      moveX=width-wallSize;
    }
  }
  void moveToLeft() {
    if (moveX>=wallSize + 64) {
      moveX = moveX - 0.7;
    } else {
      direction = 1;
      moveX = wallSize + 0;
    }
  }
}
